> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns the company's contact information.

GET https://api.awork.com/api/v1/companies/{companyId}/contactinfo

Returns all contact information stored for the specified company.The user must be an admin or have `company-master-data:read` permissions.

Reference: https://developers.awork.com/apiv1/companies/get-company-contact-info-by-company-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `companyId` (string, required) — The id of the company.

### Query parameters

- `page` (integer, optional, default: 1) — Page number for pagination
- `pageSize` (integer, optional, default: 10) — Number of items per page
- `orderby` (string, optional) — The properties to order by
- `filterby` (string, optional) — The filter expression to filter by

## Response

### 200

OK

- `list of ContactInfoForCompanies`

## Types

### ContactInfoForCompanies

The contact info are different types of contact information for a company

- `type` (string, required) — The type of the contact info. Possible values are: 'phone', 'email', 'address', 'url', 'custom'.
- `label` (string, optional, nullable) — The label of the contact info. Only necessary if type 'custom' is used.
- `value` (string, optional, nullable) — The value of the contact info.
- `subType` (string, optional, nullable) — The subtype of the contact info. Required for all types except 'custom'. Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other' ]
- `addressLine1` (string, optional, nullable) — The first address line of the contact info.
- `addressLine2` (string, optional, nullable) — The second address line of the contact info.
- `zipCode` (string, optional, nullable) — The zipcode of the contact info.
- `city` (string, optional, nullable) — The city of the contact info.
- `state` (string, optional, nullable) — The state of the contact info.
- `country` (string, optional, nullable) — The 2 letter iso code of the country.
- `isAddress` (boolean, optional) — Flags whether this contact info is an address. If it's an address, the address fields are required.
- `id` (string, optional) — The Id of the contact info.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.

## Examples

**Response**

```json
[
  {
    "type": "address",
    "label": "string",
    "value": "string",
    "subType": "central",
    "addressLine1": "Torstrasse 140",
    "addressLine2": "Hof A",
    "zipCode": "10119",
    "city": "Berlin",
    "state": "string",
    "country": "DE",
    "isAddress": true,
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2024-01-15T09:30:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2024-01-15T09:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/companies/companyId/contactinfo"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/companies/companyId/contactinfo';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/companies/companyId/contactinfo"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/companies/companyId/contactinfo")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/companies/companyId/contactinfo")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/companies/companyId/contactinfo', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/companies/companyId/contactinfo");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/companies/companyId/contactinfo")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```